import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const RemoveOutlineIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'RemoveOutline'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M7 12c0 .55.45 1 1 1h8c.55 0 1-.45 1-1s-.45-1-1-1H8c-.55 0-1 .45-1 1zm5-10C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z'}
      fill={color}
    />
  </Svg>
);
