import React, { FC } from 'react';
import Svg, { Path } from 'react-native-svg';
import { defaultColors } from '../../../constants';
import { SvgProps } from '../icon.model';

export const TvIcon: FC<SvgProps> = ({
  width = '24',
  height = '24',
  color = defaultColors.text?.default,
  style,
  ...props
}) => (
  <Svg
    width={width}
    height={height}
    style={style}
    testID={'Tv'}
    viewBox={'0 0 24 24'}
    fill={'none'}
    {...props}
  >
    <Path
      d={'M20 4H4C2.9 4 2 4.9 2 6V17C2 18.1 2.9 19 4 19H8C8 19.55 8.45 20 9 20H15C15.55 20 16 19.55 16 19H20C21.1 19 21.99 18.1 21.99 17L22 6C22 4.9 21.1 4 20 4ZM19 17H5C4.45 17 4 16.55 4 16V7C4 6.45 4.45 6 5 6H19C19.55 6 20 6.45 20 7V16C20 16.55 19.55 17 19 17Z'}
      fill={color}
    />
  </Svg>
);
