import React, { FC } from 'react';
import { Text } from 'react-native';
import { TextModel } from '../../textModels';
import { styles } from './styles';

export const Body2CursiveText: FC<TextModel> = ({
  children,
  numberOfLines,
  color,
  onTextClick,
}) => {
  return (
    <Text onPress={onTextClick} style={[styles.text, Boolean(color) && { color }]} numberOfLines={numberOfLines}>
      {children}
    </Text>
  );
};

export default Body2CursiveText;
