import { StyleSheet } from 'react-native';
import { spacingSizes } from '../../constants';
import { getThemeColorByDefaultColor } from '../../../utils';

export const styles = StyleSheet.create({
  headerContainer: {
    minWidth: '100%',
    minHeight: 80,
    maxHeight: 80,
    paddingBottom: spacingSizes.large + spacingSizes.small,
    paddingTop: spacingSizes.small,
    paddingHorizontal: spacingSizes.small + spacingSizes.unit,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
  headerContainerBackground: {
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
  },
  headerTabsTextContainer: {
    alignItems: 'center',
    minWidth: spacingSizes.extraLarge + spacingSizes.small,
    marginRight: spacingSizes.large,
    paddingTop: spacingSizes.small,
  },
  headerTabsTextContainerSelected: {
    borderBottomWidth: 2,
    borderBottomColor: getThemeColorByDefaultColor('primary', 'default'),
  },
  headerTabsTextContainerLastItem: {
    marginRight: 0,
  },
  headerTabsTextContainerText: {
    color: getThemeColorByDefaultColor('text', 'default'),
    isSelected: {
      color: getThemeColorByDefaultColor('primary', 'default'),
    },
  },
  headerTabsLoading: {
    minHeight: 80,
    maxHeight: 80,
    paddingBottom: spacingSizes.large + spacingSizes.small,
    paddingRight: spacingSizes.large,
    paddingLeft: spacingSizes.large,
    paddingTop: spacingSizes.small,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    marginRight: spacingSizes.small,
    display: 'flex',
    flexDirection: 'row',
  },
  headerTabsTextContainerLoading: {
    width: 72,
    height: 24,
    backgroundColor: getThemeColorByDefaultColor('background', 'dark'),
    marginRight: spacingSizes.large,
  },
});
