import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../utils';
import { borderRadiusSizes, spacingSizes, largeShadow } from '../../../../constants';


export const styles = StyleSheet.create({
  imageTextDescriptionArticle: {
    backgroundColor: getThemeColorByDefaultColor('background', 'extraLight'),
    borderRadius: borderRadiusSizes.medium,
    height: 236,
    ...largeShadow,
  },
  imageTextDescriptionArticleDisabled: {
    backgroundColor: getThemeColorByDefaultColor('background', 'dark'),
    color: getThemeColorByDefaultColor('text', 'default'),
    image: {
      opacity: 0.6,
    },
  },
  imageTextDescriptionArticleImageContainer: {
    borderTopLeftRadius: borderRadiusSizes.medium,
    borderTopRightRadius: borderRadiusSizes.medium,
    height: 160,
    backgroundColor: getThemeColorByDefaultColor('background', 'extraDark'),
  },
  imageTextDescriptionArticleTextContainer: {
    padding: spacingSizes.medium,
    text: {
      color: getThemeColorByDefaultColor('text', 'dark'),
    },
    description: {
      color: getThemeColorByDefaultColor('text', 'default'),
    },
  },
});
