import { StyleSheet } from 'react-native';
import { getThemeColorByDefaultColor } from '../../../../../../utils';
import { borderRadiusSizes, spacingSizes } from '../../../../../constants';

export const styles = StyleSheet.create({
  modeThermostatContainer: {
    minWidth: 130,
  },
  modeThermostatDropDownContainer: {
    backgroundColor: getThemeColorByDefaultColor('background', 'light'),
    borderWidth: 0,
    marginBottom: 5,
  },
  modeThermostatItemContainer:{
    marginVertical: 2,
  },
  modeThermostatSelectButton: {
    marginTop: spacingSizes.small,
    width: 150,
    height: 56,
    backgroundColor: getThemeColorByDefaultColor('background', 'light'),
    borderRadius: borderRadiusSizes.medium,
    borderWidth: 0,
    fontSize: 16,
  },
  modeThermostatItemSeparator: {
    backgroundColor: getThemeColorByDefaultColor('border', 'light'),
  },
  modeThermostatItemLabel:{
    fontSize: 16,
  },
  modeThermostatText: {
    fontSize: 16,
    textAlign: 'center',
  },
  modeThermostatDisabled: {
    opacity: 0.5,
  },
});
