import React, { FC } from 'react';
import { SetThermostatPoint } from '../../setThermostatPoint';
import { AmbientTemperatureThermostatConfigModel, SetPointThermostatConfigModel } from '../../../../widgetDetailModels';

interface Props {
  setPointConfig: SetPointThermostatConfigModel;
  ambientConfig?: AmbientTemperatureThermostatConfigModel;
  isThermostatEnabled: boolean;
}

export const ThermostatSetPointContainer: FC<Props> = ({ setPointConfig, ambientConfig, isThermostatEnabled }) => {
  const {
    setPointId,
    setPointIsLoading,
    setPointMaxValue,
    setPointMinValue,
    setPointStep,
    setPointValue,
    setPointSubtitle,
    setPointTitle,
    onChangeSetPointValue,
  } = setPointConfig;

  return (
    <SetThermostatPoint
      title={setPointSubtitle}
      subtitle={setPointTitle}
      defaultValue={setPointValue}
      onChangeValue={(value) => onChangeSetPointValue({ id: setPointId, value: String(value) })}
      step={setPointStep}
      minValue={setPointMinValue}
      maxValue={setPointMaxValue}
      ambientTemperature={ambientConfig?.ambientTemperatureValue}
      loading={setPointIsLoading}
      enabled={isThermostatEnabled}
    />
  );
};
