import React, { FC } from 'react';
import { AmbientTemperatureThermostatConfigModel } from '../../../../widgetDetailModels';
import { View } from 'react-native';
import { Body2SemiBoldText, HeadingXLargeText } from '../../../../../../atoms';
import { styles } from './styles';

interface Props {
  ambientConfig: AmbientTemperatureThermostatConfigModel
}

export const ThermostatSingleAmbientContainer: FC<Props> = ({ ambientConfig }) => {
  const { ambientTemperatureValue, ambientTemperatureTitle } = ambientConfig;
  return (
    <View style={styles.thermostatSingleAmbientContainer}>
      <Body2SemiBoldText color={styles.thermostatSingleAmbientContainerText.color}>
        {ambientTemperatureTitle}
      </Body2SemiBoldText>
      <HeadingXLargeText>{`${ambientTemperatureValue}ºC`}</HeadingXLargeText>
    </View>
  );
};
