import { DateNumberMonthNumberAndYear } from './calendarModel';

type GetIsPreviousDate = (
  testPreviousDate: DateNumberMonthNumberAndYear, 
  referenceDate: DateNumberMonthNumberAndYear
) => boolean;

export const getIsPreviousDate: GetIsPreviousDate = (testPreviousDate, referenceDate) => {
  const previous = new Date(Date.UTC(
    testPreviousDate.year, 
    testPreviousDate.monthNumber - 1, 
    testPreviousDate.dateNumber,
  ));
  const next = new Date(Date.UTC(referenceDate.year, referenceDate.monthNumber - 1, referenceDate.dateNumber));

  return previous < next;
};
