import { DayNumberOfTheWeek, DateNumberMonthNumberAndYear } from './calendarModel';


type GetIndexDayWeek = (date: DateNumberMonthNumberAndYear) => DayNumberOfTheWeek;

const SUNDAY_INTERNATIONAL_INDEX = 0;
const SUNDAY = 7;

export const getWeekDayIndex: GetIndexDayWeek = (date) => {
  const weekDayIndex = new Date(Date.UTC(date.year, date.monthNumber - 1, date.dateNumber)).getUTCDay();
  return weekDayIndex === SUNDAY_INTERNATIONAL_INDEX ? SUNDAY : weekDayIndex as DayNumberOfTheWeek;
};
